package com.mortals.xhx.module.attendance.service.work;

import com.mortals.xhx.common.code.TypeEnum;
import lombok.extern.slf4j.Slf4j;

/**
 * 自由排班
 * @author:
 * @date: 2023/7/31 15:15
 */
@Slf4j
public class FreedomWorkAttendance extends AttendanceWorkAbstract {


    public FreedomWorkAttendance(int type) {
        super(type);
    }

    @Override
    int getType() {
        return TypeEnum.自由工时.getValue();
    }

    @Override
    void initData() {

    }

    @Override
    void doHandleWork(CommonData commonData) {

    }
}
